ZDUMP(8)

NAME
zdump - time zone dumper

SYNOPSIS
zdump [-Vv] [ -c [loyear,]hiyear] [ -t [lotime,]hitime] zonename ...

DESCRIPTION
zdump prints the current time in each zonename named on the command line.

These options are available:

    -c [loyear,]hiyear Cut off verbose output near the start of the given year(s). By default, the program cuts off verbose output near the start of the years -500 and 2500.

    -t [lotime,]hitime Cut off verbose output at the start of the given time(s), given in seconds since 1970-01-01 00:00:00 UTC.

-V  Like -v, except omit the times relative to the extreme time values. This generates output that is easier to compare to that of implementations with different time representations.

-v  For each zonename on the command line, print the time at the lowest possible time value, the time one day after the lowest possible time value, the times both one second before and exactly at each detected time discontinuity, the time at one day less than the highest possible time value, and the time at the highest possible time value. Each line ends with “isdst=1” if the given time is Daylight Saving Time or “isdst=0” otherwise.

LIMITATIONS
Time discontinuities are found by sampling the results returned by localtime at twelve-hour intervals. This works in all real-world cases; one can construct artificial time zones for which this fails.

In the output, “UT” denotes the value returned by gmtime(3), which uses UTC for modern time stamps and some other UT flavor for time stamps that predate the introduction of UTC. No attempt is currently made to have the output use “UTC” for newer and “UT” for older time stamps, partly because the exact date of the introduction of UTC is problematic.

SEE ALSO
ctime(3), tzfile(5), zic(8)